#if !defined(AFX_DEMSURFACEPROPDLG_H__B217AC61_E723_11D0_80BC_00A024E9DFA1__INCLUDED_)
#define AFX_DEMSURFACEPROPDLG_H__B217AC61_E723_11D0_80BC_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DEMSurfacePropDlg.h : header file
//

class CDem3dView;
class sg_ShapeNode;
class sg_DEM;

/////////////////////////////////////////////////////////////////////////////
// DEMSurfacePropDlg dialog

class DEMSurfacePropDlg : public CDialog
{
// Construction
public:
	DEMSurfacePropDlg(CDem3dView* view,
                     sg_ShapeNode* demNode,
                     sg_DEM* demShape,
                     CWnd* pParent = NULL);   // standard constructor

   void setDEMNode(sg_ShapeNode* demNode);
   void setDEMShape(sg_DEM* demShape);

   enum RenderType {FLAT_SHADED, SMOOTH_SHADED, GOURAUD_SHADED, WIREFRAME};

// Dialog Data
	//{{AFX_DATA(DEMSurfacePropDlg)
	enum { IDD = IDD_DEMSURFDLG };
	CSliderCtrl	m_specularIntenSlider;
	CSliderCtrl	m_shinySlider;
	BOOL	m_shadows;
	int		m_renderType;
	BOOL	m_boundBox;
	BOOL	m_loResApprox;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DEMSurfacePropDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DEMSurfacePropDlg)
	afx_msg void OnApply();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDemSurfDlgFlat();
	afx_msg void OnDemSurfDlgGouraud();
	afx_msg void OnDemSurfDlgSmooth();
	afx_msg void OnDemSurfDlgWire();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   CDem3dView* _view;
   sg_ShapeNode* _demNode;
   sg_DEM* _demShape;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMSURFACEPROPDLG_H__B217AC61_E723_11D0_80BC_00A024E9DFA1__INCLUDED_)
