#if !defined(AFX_DAYLIGHTCONFIGDLG_H__05E279E1_C303_11D0_80B8_00A024E9DFA1__INCLUDED_)
#define AFX_DAYLIGHTCONFIGDLG_H__05E279E1_C303_11D0_80B8_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DaylightConfigDlg.h : header file
//

#include "ColorPatch.h"

class CDem3dView;
class sg_DaylightShader;

/////////////////////////////////////////////////////////////////////////////
// DaylightConfigDlg dialog

class DaylightConfigDlg : public CDialog
{
// Construction
public:
	DaylightConfigDlg(CDem3dView* view,
                     CWnd* pParent = NULL);   // standard constructor

   void setShader(sg_DaylightShader* shader);

// Dialog Data
	//{{AFX_DATA(DaylightConfigDlg)
	enum { IDD = IDD_DAYLIGHTDLG };
	CColorPatch	m_surfColor;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DaylightConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DaylightConfigDlg)
	afx_msg void OnApply();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDaylightB1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   CDem3dView* _view;
   sg_DaylightShader* _shader;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DAYLIGHTCONFIGDLG_H__05E279E1_C303_11D0_80B8_00A024E9DFA1__INCLUDED_)
