#if !defined(AFX_GRADIENTDLG_H__9A34B980_E283_11D0_80BC_00A024E9DFA1__INCLUDED_)
#define AFX_GRADIENTDLG_H__9A34B980_E283_11D0_80BC_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// GradientDlg.h : header file
//

#include "ColorPatch.h"

class CDem3dView;
class sg_GradientShader;

/////////////////////////////////////////////////////////////////////////////
// GradientDlg dialog

class GradientDlg : public CDialog
{
// Construction
public:
	GradientDlg(CDem3dView* view,
               CWnd* pParent = NULL);

   void setShader(sg_GradientShader* shader);

// Dialog Data
	//{{AFX_DATA(GradientDlg)
	enum { IDD = IDD_GRADIENTDLG };
	CColorPatch	m_lowColor;
	CColorPatch	m_highColor;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(GradientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(GradientDlg)
	afx_msg void OnGradientB1();
	afx_msg void OnGradientB2();
	afx_msg void OnApply();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   CDem3dView* _view;
   sg_GradientShader* _shader;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRADIENTDLG_H__9A34B980_E283_11D0_80BC_00A024E9DFA1__INCLUDED_)
