#if !defined(AFX_HSVINDICATOR_H__62B14571_E65D_11D0_80BC_00A024E9DFA1__INCLUDED_)
#define AFX_HSVINDICATOR_H__62B14571_E65D_11D0_80BC_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// HSVIndicator.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHSVIndicator window

class CHSVIndicator : public CStatic
{
// Construction
public:
	CHSVIndicator();

   void setLowColorStart(double deg);
      // 0.0 <= deg <= 360.0
      // Default: 0.0

   void setSaturation(double sat);
      // 0.0 <= sat <= 1.0
      // Default: 1.0

   void setValue(double val);
      // 0.0 <= val <= 1.0
      // Default: 1.0

   void setRange(double deg);

   double getLowColorStart() const;
   double getSaturation() const;
   double getValue() const;
   double getRange() const;

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHSVIndicator)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CHSVIndicator();

	// Generated message map functions
protected:
	//{{AFX_MSG(CHSVIndicator)
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

   CBitmap* _bitmap;
   double _lowColorStart;
   double _saturation;
   double _value;
   double _range;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HSVINDICATOR_H__62B14571_E65D_11D0_80BC_00A024E9DFA1__INCLUDED_)
