#if !defined(AFX_SLOPECONFIGDLG_H__05E279E2_C303_11D0_80B8_00A024E9DFA1__INCLUDED_)
#define AFX_SLOPECONFIGDLG_H__05E279E2_C303_11D0_80B8_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SlopeConfigDlg.h : header file
//

#include "ColorPatch.h"

class CDem3dView;
class sg_SlopeShader;

/////////////////////////////////////////////////////////////////////////////
// SlopeConfigDlg dialog

class SlopeConfigDlg : public CDialog
{
// Construction
public:
	SlopeConfigDlg(CDem3dView* view,
                  CWnd* pParent = NULL);

   void setShader(sg_SlopeShader* shader);

// Dialog Data
	//{{AFX_DATA(SlopeConfigDlg)
	enum { IDD = IDD_SLOPEDLG };
	CColorPatch	m_steepColor;
	CColorPatch	m_flatColor;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SlopeConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(SlopeConfigDlg)
	afx_msg void OnApply();
	afx_msg void OnSlopeB1();
	afx_msg void OnSlopeB2();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   CDem3dView* _view;
   sg_SlopeShader* _shader;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SLOPECONFIGDLG_H__05E279E2_C303_11D0_80B8_00A024E9DFA1__INCLUDED_)
