
#ifndef INCLUDED_SIO_8211LEADER_H
#include "io/sio_8211Leader.h"
#endif

sio_8211Leader::sio_8211Leader()
              : _recLength(0),
                _leaderIden(' '),
                _fieldAreaStart(0),
                _sizeFieldLength(0),
                _sizeFieldPos(0),
                _sizeFieldTag(0)
{
}

sio_8211Leader::~sio_8211Leader()
{

}

long
sio_8211Leader::getRecordLength() const
{
   return _recLength;
}

char
sio_8211Leader::getLeaderIdentifier() const
{
   return _leaderIden;
}

long
sio_8211Leader::getBaseAddrOfFieldArea() const
{
   return _fieldAreaStart;
}

long
sio_8211Leader::getSizeOfFieldLengthField() const
{
   return _sizeFieldLength;
}

long
sio_8211Leader::getSizeOfFieldPosField() const
{
   return _sizeFieldPos;
}

long
sio_8211Leader::getSizeOfFieldTagField() const
{
   return _sizeFieldTag;
}

istream&
operator>>(istream& istr, sio_8211Leader& leader)
{
   return leader.streamExtract(istr);
}

ostream&
operator<<(ostream& ostr, sio_8211Leader const& leader)
{
   return leader.streamInsert(ostr);
}
