#if !defined(AFX_CAMERADLG_H__0CFD52C1_8582_11D1_80CB_00A024E9DFA1__INCLUDED_)
#define AFX_CAMERADLG_H__0CFD52C1_8582_11D1_80CB_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// CameraDlg.h : header file
//

class CDem3dView;
class sg_ControlLineController;
class sg_CameraNode;

/////////////////////////////////////////////////////////////////////////////
// CameraDlg dialog

class CameraDlg : public CDialog
{
// Construction
public:
	CameraDlg(CDem3dView* view,
             sg_ControlLineController* camController,
             sg_CameraNode* camera,
             CWnd* pParent = NULL);   // standard constructor

   void update();

// Dialog Data
	//{{AFX_DATA(CameraDlg)
	enum { IDD = IDD_CAMERADLG };
	CString	m_altitude;
	CString	m_azimuth;
	CString	m_fov;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CameraDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CameraDlg)
	afx_msg void OnApply();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
   CDem3dView* _view;
   sg_ControlLineController* _camController;
   sg_CameraNode* _camera;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CAMERADLG_H__0CFD52C1_8582_11D1_80CB_00A024E9DFA1__INCLUDED_)
