#if !defined(AFX_HSVCONFIGDLG_H__62B14572_E65D_11D0_80BC_00A024E9DFA1__INCLUDED_)
#define AFX_HSVCONFIGDLG_H__62B14572_E65D_11D0_80BC_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// HSVConfigDlg.h : header file
//

#include "HSVIndicator.h"

class CDem3dView;
class sg_HSVShader;

/////////////////////////////////////////////////////////////////////////////
// HSVConfigDlg dialog

class HSVConfigDlg : public CDialog
{
// Construction
public:
	HSVConfigDlg(CDem3dView* view,
                CWnd* pParent = NULL);

   void setShader(sg_HSVShader* shader);

// Dialog Data
	//{{AFX_DATA(HSVConfigDlg)
	enum { IDD = IDD_HSVDLG };
	CSliderCtrl	m_rangeSlider;
	CSliderCtrl	m_valueSlider;
	CSliderCtrl	m_colorShiftSlider;
	CSliderCtrl	m_saturationSlider;
	CHSVIndicator	m_hsvIndicator;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(HSVConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(HSVConfigDlg)
	afx_msg void OnApply();
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   CDem3dView* _view;
   sg_HSVShader* _shader;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HSVCONFIGDLG_H__62B14572_E65D_11D0_80BC_00A024E9DFA1__INCLUDED_)
