// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "dem3d.h"

#include "MainFrm.h"
#include "DemResDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
	// Global help commands
   ON_COMMAND(ID_HELP_FINDER, CMainFrame::tempHelp) // CFrameWnd::OnHelpFinder)
   ON_COMMAND(ID_HELP, CMainFrame::tempHelp) // CFrameWnd::OnHelp)
   ON_COMMAND(ID_CONTEXT_HELP, CMainFrame::tempHelp) //  CFrameWnd::OnContextHelp)
   ON_COMMAND(ID_DEFAULT_HELP, CMainFrame::tempHelp) // CFrameWnd::OnHelpFinder)
END_MESSAGE_MAP()

static UINT indicators[] =
{
	//ID_SEPARATOR,           // status line indicator
   ID_INDICATOR_XYZ,
   //ID_INDICATOR_CAMERA,
   //ID_INDICATOR_LIGHT,
   ID_INDICATOR_TOOL,
   ID_INDICATOR_VERTEXAG,
   ID_INDICATOR_RESOL,
   ID_INDICATOR_STATUS
};

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
	
}

CMainFrame::~CMainFrame()
{
}

void
CMainFrame::tempHelp()
{
   AfxMessageBox("Online help not yet implemented.");
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.Create(this) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

   long comIndex;
   if ((comIndex = m_wndStatusBar.CommandToIndex(ID_INDICATOR_CAMERA)) != -1)
      m_wndStatusBar.SetPaneText(comIndex,"CAM:");
   if ((comIndex = m_wndStatusBar.CommandToIndex(ID_INDICATOR_LIGHT)) != -1)
      m_wndStatusBar.SetPaneText(comIndex,"LIGHT:");



	// TODO: Remove this if you don't want tool tips or a resizeable toolbar
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);

	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFrameWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

CStatusBar* CMainFrame::getStatusBar()
{
   return &m_wndStatusBar;
}

