#if !defined(AFX_TERRACECONFIGDLG_H__D3B65DD1_C22B_11D0_80B8_00A024E9DFA1__INCLUDED_)
#define AFX_TERRACECONFIGDLG_H__D3B65DD1_C22B_11D0_80B8_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TerraceConfigDlg.h : header file
//

#include "ColorPatch.h"

class CDem3dView;
class sg_ContourShader;

/////////////////////////////////////////////////////////////////////////////
// TerraceConfigDlg dialog

class TerraceConfigDlg : public CDialog
{
// Construction
public:
	TerraceConfigDlg(CDem3dView* view,
                    CWnd* pParent = NULL);   // standard constructor

   void setShader(sg_ContourShader* shader);


// Dialog Data
	//{{AFX_DATA(TerraceConfigDlg)
	enum { IDD = IDD_TERRACEDLG };
	CColorPatch	m_edgeColor;
	CColorPatch	m_color2;
	CColorPatch	m_color1;
	long	m_contourInterval;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TerraceConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(TerraceConfigDlg)
	afx_msg void OnApply();
	afx_msg void OnTerraceB1();
	afx_msg void OnTerraceB2();
	afx_msg void OnTerraceB3();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   CDem3dView* _view;
   sg_ContourShader* _shader;

   void updateShader();
      // Sets the shader from the current values in the dialog.

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TERRACECONFIGDLG_H__D3B65DD1_C22B_11D0_80B8_00A024E9DFA1__INCLUDED_)
