#if !defined(AFX_WATERDLG_H__2B3E3AF1_86C2_11D1_80CB_00A024E9DFA1__INCLUDED_)
#define AFX_WATERDLG_H__2B3E3AF1_86C2_11D1_80CB_00A024E9DFA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// WaterDlg.h : header file
//

#include "ColorPatch.h"
class CDem3dView;
class sg_DEM;

/////////////////////////////////////////////////////////////////////////////
// WaterDlg dialog

class WaterDlg : public CDialog
{
// Construction
public:
	WaterDlg(CDem3dView* view,
            sg_DEM* demShape,
            CWnd* pParent = NULL);   // standard constructor

   void update();
   void setDEMShape(sg_DEM* demShape);

// Dialog Data
	//{{AFX_DATA(WaterDlg)
	enum { IDD = IDD_WATERDLG };
	CColorPatch	m_waterColor;
	CSliderCtrl	m_alphaSlider;
	BOOL	m_transparent;
	CString	m_waterZ;
	CString	m_levelRange;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(WaterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(WaterDlg)
	afx_msg void OnWaterColor();
	afx_msg void OnApply();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   CDem3dView* _view;
   sg_DEM* _demShape;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WATERDLG_H__2B3E3AF1_86C2_11D1_80CB_00A024E9DFA1__INCLUDED_)
