
#include "sg_Win32Font.hxx"


sg_Win32Font::sg_Win32Font(long listbase, GLYPHMETRICSFLOAT const* gmf,
                           double extrudeDepth)
            : _listBase(listbase),
              _extrudeDepth(extrudeDepth)
{
   for (long i = 0; i < 256; i++)
      _gmf[i] = gmf[i];
}

long
sg_Win32Font::getListBase() const
{
   return _listBase;
}

GLYPHMETRICSFLOAT const*
sg_Win32Font::getGMF() const
{
   return _gmf;
}

double
sg_Win32Font::getExtrudeDepth() const
{
   return _extrudeDepth;
}
