
#ifndef INCLUDED_SG_WIN32FONT_HXX
#define INCLUDED_SG_WIN32FONT_HXX

#include "stdafx.h"

class sg_Win32Font
{
   // Encapsulates all the information need to use an outline font under Win95/WinNT.

   public:

      sg_Win32Font(long listbase, GLYPHMETRICSFLOAT const* gmf,
                   double extrudeDepth);

      long getListBase() const;
      GLYPHMETRICSFLOAT const* getGMF() const;
      double getExtrudeDepth() const;

   private:

      long _listBase;
      GLYPHMETRICSFLOAT _gmf[256];
      double _extrudeDepth;

};

#endif  // INCLUDED_SG_WIN32FONT_HXX


