
#ifndef INCLUDED_SG_WIN32TEXT_HXX
#define INCLUDED_SG_WIN32TEXT_HXX

#ifndef INCLUDED_SG_SHAPE_HXX
#include "scenegraph/sg_Shape.hxx"
#endif

#include "stdafx.h"
class sg_Win32Font;

class sg_Win32Text : public sg_Shape
{
   // Draws 3D Text using functions specific to Win95 and WinNT.

   public:

      sg_Win32Text(const sg_Win32Font* font,       // I do *not* make a copy of this!
                   const string& text);            // text to be displayed.

      void setText(string const& text);

      long render(long previousStep = 0);


   private:

      sg_Win32Font const* _font;
      string _text;
};

#endif  // INCLUDED_SG_WIN32TEXT_HXX