#pragma warning(once:4305)

#ifndef INCLUDED_SG_COLORS_HXX
#define INCLUDED_SG_COLORS_HXX

#ifndef INCLUDED_SG_TYPES_HXX
#include "scenegraph/sg_Types.hxx"
#endif

static const sg_RGBA sg_Color_Snow                (1,0.980392,0.980392);
static const sg_RGBA sg_Color_GhostWhite          (0.972549,0.972549,1);
static const sg_RGBA sg_Color_WhiteSmoke          (0.960784,0.960784,0.960784);
static const sg_RGBA sg_Color_Gainsboro           (0.862745,0.862745,0.862745);
static const sg_RGBA sg_Color_FloralWhite         (1,0.980392,0.941176);
static const sg_RGBA sg_Color_OldLace             (0.992157,0.960784,0.901961);
static const sg_RGBA sg_Color_Linen               (0.980392,0.941176,0.901961);
static const sg_RGBA sg_Color_AntiqueWhite        (0.980392,0.921569,0.843137);
static const sg_RGBA sg_Color_PapayaWhip          (1,0.937255,0.835294);
static const sg_RGBA sg_Color_BlanchedAlmond      (1,0.921569,0.803922);
static const sg_RGBA sg_Color_Bisque              (1,0.894118,0.768627);
static const sg_RGBA sg_Color_PeachPuff           (1,0.854902,0.72549);
static const sg_RGBA sg_Color_NavajoWhite         (1,0.870588,0.678431);
static const sg_RGBA sg_Color_Moccasin            (1,0.894118,0.709804);
static const sg_RGBA sg_Color_Cornsilk            (1,0.972549,0.862745);
static const sg_RGBA sg_Color_Ivory               (1,1,0.941176);
static const sg_RGBA sg_Color_LemonChiffon        (1,0.980392,0.803922);
static const sg_RGBA sg_Color_Seashell            (1,0.960784,0.933333);
static const sg_RGBA sg_Color_Honeydew            (0.941176,1,0.941176);
static const sg_RGBA sg_Color_MintCream           (0.960784,1,0.980392);
static const sg_RGBA sg_Color_Azure               (0.941176,1,1);
static const sg_RGBA sg_Color_AliceBlue           (0.941176,0.972549,1);
static const sg_RGBA sg_Color_Lavender            (0.901961,0.901961,0.980392);
static const sg_RGBA sg_Color_LavenderBlush       (1,0.941176,0.960784);
static const sg_RGBA sg_Color_MistyRose           (1,0.894118,0.882353);
static const sg_RGBA sg_Color_White               (1,1,1);
static const sg_RGBA sg_Color_Black               (0,0,0);
static const sg_RGBA sg_Color_DarkSlateGray       (0.184314,0.309804,0.309804);
static const sg_RGBA sg_Color_DarkSlateGrey       (0.184314,0.309804,0.309804);
static const sg_RGBA sg_Color_DimGray             (0.411765,0.411765,0.411765);
static const sg_RGBA sg_Color_DimGrey             (0.411765,0.411765,0.411765);
static const sg_RGBA sg_Color_SlateGray           (0.439216,0.501961,0.564706);
static const sg_RGBA sg_Color_SlateGrey           (0.439216,0.501961,0.564706);
static const sg_RGBA sg_Color_LightSlateGray      (0.466667,0.533333,0.6);
static const sg_RGBA sg_Color_LightSlateGrey      (0.466667,0.533333,0.6);
static const sg_RGBA sg_Color_Gray                (0.745098,0.745098,0.745098);
static const sg_RGBA sg_Color_Grey                (0.745098,0.745098,0.745098);
static const sg_RGBA sg_Color_LightGrey           (0.827451,0.827451,0.827451);
static const sg_RGBA sg_Color_LightGray           (0.827451,0.827451,0.827451);
static const sg_RGBA sg_Color_MidnightBlue        (0.0980392,0.0980392,0.439216);
static const sg_RGBA sg_Color_Navy                (0,0,0.501961);
static const sg_RGBA sg_Color_NavyBlue            (0,0,0.501961);
static const sg_RGBA sg_Color_CornflowerBlue      (0.392157,0.584314,0.929412);
static const sg_RGBA sg_Color_DarkSlateBlue       (0.282353,0.239216,0.545098);
static const sg_RGBA sg_Color_SlateBlue           (0.415686,0.352941,0.803922);
static const sg_RGBA sg_Color_MediumSlateBlue     (0.482353,0.407843,0.933333);
static const sg_RGBA sg_Color_LightSlateBlue      (0.517647,0.439216,1);
static const sg_RGBA sg_Color_MediumBlue          (0,0,0.803922);
static const sg_RGBA sg_Color_RoyalBlue           (0.254902,0.411765,0.882353);
static const sg_RGBA sg_Color_Blue                (0,0,1);
static const sg_RGBA sg_Color_DodgerBlue          (0.117647,0.564706,1);
static const sg_RGBA sg_Color_DeepSkyBlue         (0,0.74902,1);
static const sg_RGBA sg_Color_SkyBlue             (0.529412,0.807843,0.921569);
static const sg_RGBA sg_Color_LightSkyBlue        (0.529412,0.807843,0.980392);
static const sg_RGBA sg_Color_SteelBlue           (0.27451,0.509804,0.705882);
static const sg_RGBA sg_Color_LightSteelBlue      (0.690196,0.768627,0.870588);
static const sg_RGBA sg_Color_LightBlue           (0.678431,0.847059,0.901961);
static const sg_RGBA sg_Color_PowderBlue          (0.690196,0.878431,0.901961);
static const sg_RGBA sg_Color_PaleTurquoise       (0.686275,0.933333,0.933333);
static const sg_RGBA sg_Color_DarkTurquoise       (0,0.807843,0.819608);
static const sg_RGBA sg_Color_MediumTurquoise     (0.282353,0.819608,0.8);
static const sg_RGBA sg_Color_Turquoise           (0.25098,0.878431,0.815686);
static const sg_RGBA sg_Color_Cyan                (0,1,1);
static const sg_RGBA sg_Color_LightCyan           (0.878431,1,1);
static const sg_RGBA sg_Color_CadetBlue           (0.372549,0.619608,0.627451);
static const sg_RGBA sg_Color_MediumAquamarine    (0.4,0.803922,0.666667);
static const sg_RGBA sg_Color_Aquamarine          (0.498039,1,0.831373);
static const sg_RGBA sg_Color_DarkGreen           (0,0.392157,0);
static const sg_RGBA sg_Color_DarkOliveGreen      (0.333333,0.419608,0.184314);
static const sg_RGBA sg_Color_DarkSeaGreen        (0.560784,0.737255,0.560784);
static const sg_RGBA sg_Color_SeaGreen            (0.180392,0.545098,0.341176);
static const sg_RGBA sg_Color_MediumSeaGreen      (0.235294,0.701961,0.443137);
static const sg_RGBA sg_Color_LightSeaGreen       (0.12549,0.698039,0.666667);
static const sg_RGBA sg_Color_PaleGreen           (0.596078,0.984314,0.596078);
static const sg_RGBA sg_Color_SpringGreen         (0,1,0.498039);
static const sg_RGBA sg_Color_LawnGreen           (0.486275,0.988235,0);
static const sg_RGBA sg_Color_Green               (0,1,0);
static const sg_RGBA sg_Color_Chartreuse          (0.498039,1,0);
static const sg_RGBA sg_Color_MediumSpringGreen   (0,0.980392,0.603922);
static const sg_RGBA sg_Color_GreenYellow         (0.678431,1,0.184314);
static const sg_RGBA sg_Color_LimeGreen           (0.196078,0.803922,0.196078);
static const sg_RGBA sg_Color_YellowGreen         (0.603922,0.803922,0.196078);
static const sg_RGBA sg_Color_ForestGreen         (0.133333,0.545098,0.133333);
static const sg_RGBA sg_Color_OliveDrab           (0.419608,0.556863,0.137255);
static const sg_RGBA sg_Color_DarkKhaki           (0.741176,0.717647,0.419608);
static const sg_RGBA sg_Color_Khaki               (0.941176,0.901961,0.54902);
static const sg_RGBA sg_Color_PaleGoldenrod       (0.933333,0.909804,0.666667);
static const sg_RGBA sg_Color_LightGoldenrodYellow(0.980392,0.980392,0.823529);
static const sg_RGBA sg_Color_LightYellow         (1,1,0.878431);
static const sg_RGBA sg_Color_Yellow              (1,1,0);
static const sg_RGBA sg_Color_Gold                (1,0.843137,0);
static const sg_RGBA sg_Color_LightGoldenrod      (0.933333,0.866667,0.509804);
static const sg_RGBA sg_Color_Goldenrod           (0.854902,0.647059,0.12549);
static const sg_RGBA sg_Color_DarkGoldenrod       (0.721569,0.52549,0.0431373);
static const sg_RGBA sg_Color_RosyBrown           (0.737255,0.560784,0.560784);
static const sg_RGBA sg_Color_IndianRed           (0.803922,0.360784,0.360784);
static const sg_RGBA sg_Color_SaddleBrown         (0.545098,0.270588,0.0745098);
static const sg_RGBA sg_Color_Sienna              (0.627451,0.321569,0.176471);
static const sg_RGBA sg_Color_Peru                (0.803922,0.521569,0.247059);
static const sg_RGBA sg_Color_Burlywood           (0.870588,0.721569,0.529412);
static const sg_RGBA sg_Color_Beige               (0.960784,0.960784,0.862745);
static const sg_RGBA sg_Color_Wheat               (0.960784,0.870588,0.701961);
static const sg_RGBA sg_Color_SandyBrown          (0.956863,0.643137,0.376471);
static const sg_RGBA sg_Color_Tan                 (0.823529,0.705882,0.54902);
static const sg_RGBA sg_Color_Chocolate           (0.823529,0.411765,0.117647);
static const sg_RGBA sg_Color_Firebrick           (0.698039,0.133333,0.133333);
static const sg_RGBA sg_Color_Brown               (0.647059,0.164706,0.164706);
static const sg_RGBA sg_Color_DarkSalmon          (0.913725,0.588235,0.478431);
static const sg_RGBA sg_Color_Salmon              (0.980392,0.501961,0.447059);
static const sg_RGBA sg_Color_LightSalmon         (1,0.627451,0.478431);
static const sg_RGBA sg_Color_Orange              (1,0.647059,0);
static const sg_RGBA sg_Color_DarkOrange          (1,0.54902,0);
static const sg_RGBA sg_Color_Coral               (1,0.498039,0.313725);
static const sg_RGBA sg_Color_LightCoral          (0.941176,0.501961,0.501961);
static const sg_RGBA sg_Color_Tomato              (1,0.388235,0.278431);
static const sg_RGBA sg_Color_OrangeRed           (1,0.270588,0);
static const sg_RGBA sg_Color_Red                 (1,0,0);
static const sg_RGBA sg_Color_HotPink             (1,0.411765,0.705882);
static const sg_RGBA sg_Color_DeepPink            (1,0.0784314,0.576471);
static const sg_RGBA sg_Color_Pink                (1,0.752941,0.796078);
static const sg_RGBA sg_Color_LightPink           (1,0.713725,0.756863);
static const sg_RGBA sg_Color_PaleVioletRed       (0.858824,0.439216,0.576471);
static const sg_RGBA sg_Color_Maroon              (0.690196,0.188235,0.376471);
static const sg_RGBA sg_Color_MediumVioletRed     (0.780392,0.0823529,0.521569);
static const sg_RGBA sg_Color_VioletRed           (0.815686,0.12549,0.564706);
static const sg_RGBA sg_Color_Magenta             (1,0,1);
static const sg_RGBA sg_Color_Violet              (0.933333,0.509804,0.933333);
static const sg_RGBA sg_Color_Plum                (0.866667,0.627451,0.866667);
static const sg_RGBA sg_Color_Orchid              (0.854902,0.439216,0.839216);
static const sg_RGBA sg_Color_MediumOrchid        (0.729412,0.333333,0.827451);
static const sg_RGBA sg_Color_DarkOrchid          (0.6,0.196078,0.8);
static const sg_RGBA sg_Color_DarkViolet          (0.580392,0,0.827451);
static const sg_RGBA sg_Color_BlueViolet          (0.541176,0.168627,0.886275);
static const sg_RGBA sg_Color_Purple              (0.627451,0.12549,0.941176);
static const sg_RGBA sg_Color_MediumPurple        (0.576471,0.439216,0.858824);
static const sg_RGBA sg_Color_Thistle             (0.847059,0.74902,0.847059);
static const sg_RGBA sg_Color_Snow1               (1,0.980392,0.980392);
static const sg_RGBA sg_Color_Snow2               (0.933333,0.913725,0.913725);
static const sg_RGBA sg_Color_Snow3               (0.803922,0.788235,0.788235);
static const sg_RGBA sg_Color_Snow4               (0.545098,0.537255,0.537255);
static const sg_RGBA sg_Color_Seashell1           (1,0.960784,0.933333);
static const sg_RGBA sg_Color_Seashell2           (0.933333,0.898039,0.870588);
static const sg_RGBA sg_Color_Seashell3           (0.803922,0.772549,0.74902);
static const sg_RGBA sg_Color_Seashell4           (0.545098,0.52549,0.509804);
static const sg_RGBA sg_Color_AntiqueWhite1       (1,0.937255,0.858824);
static const sg_RGBA sg_Color_AntiqueWhite2       (0.933333,0.87451,0.8);
static const sg_RGBA sg_Color_AntiqueWhite3       (0.803922,0.752941,0.690196);
static const sg_RGBA sg_Color_AntiqueWhite4       (0.545098,0.513725,0.470588);
static const sg_RGBA sg_Color_Bisque1             (1,0.894118,0.768627);
static const sg_RGBA sg_Color_Bisque2             (0.933333,0.835294,0.717647);
static const sg_RGBA sg_Color_Bisque3             (0.803922,0.717647,0.619608);
static const sg_RGBA sg_Color_Bisque4             (0.545098,0.490196,0.419608);
static const sg_RGBA sg_Color_PeachPuff1          (1,0.854902,0.72549);
static const sg_RGBA sg_Color_PeachPuff2          (0.933333,0.796078,0.678431);
static const sg_RGBA sg_Color_PeachPuff3          (0.803922,0.686275,0.584314);
static const sg_RGBA sg_Color_PeachPuff4          (0.545098,0.466667,0.396078);
static const sg_RGBA sg_Color_NavajoWhite1        (1,0.870588,0.678431);
static const sg_RGBA sg_Color_NavajoWhite2        (0.933333,0.811765,0.631373);
static const sg_RGBA sg_Color_NavajoWhite3        (0.803922,0.701961,0.545098);
static const sg_RGBA sg_Color_NavajoWhite4        (0.545098,0.47451,0.368627);
static const sg_RGBA sg_Color_LemonChiffon1       (1,0.980392,0.803922);
static const sg_RGBA sg_Color_LemonChiffon2       (0.933333,0.913725,0.74902);
static const sg_RGBA sg_Color_LemonChiffon3       (0.803922,0.788235,0.647059);
static const sg_RGBA sg_Color_LemonChiffon4       (0.545098,0.537255,0.439216);
static const sg_RGBA sg_Color_Cornsilk1           (1,0.972549,0.862745);
static const sg_RGBA sg_Color_Cornsilk2           (0.933333,0.909804,0.803922);
static const sg_RGBA sg_Color_Cornsilk3           (0.803922,0.784314,0.694118);
static const sg_RGBA sg_Color_Cornsilk4           (0.545098,0.533333,0.470588);
static const sg_RGBA sg_Color_Ivory1              (1,1,0.941176);
static const sg_RGBA sg_Color_Ivory2              (0.933333,0.933333,0.878431);
static const sg_RGBA sg_Color_Ivory3              (0.803922,0.803922,0.756863);
static const sg_RGBA sg_Color_Ivory4              (0.545098,0.545098,0.513725);
static const sg_RGBA sg_Color_Honeydew1           (0.941176,1,0.941176);
static const sg_RGBA sg_Color_Honeydew2           (0.878431,0.933333,0.878431);
static const sg_RGBA sg_Color_Honeydew3           (0.756863,0.803922,0.756863);
static const sg_RGBA sg_Color_Honeydew4           (0.513725,0.545098,0.513725);
static const sg_RGBA sg_Color_LavenderBlush1      (1,0.941176,0.960784);
static const sg_RGBA sg_Color_LavenderBlush2      (0.933333,0.878431,0.898039);
static const sg_RGBA sg_Color_LavenderBlush3      (0.803922,0.756863,0.772549);
static const sg_RGBA sg_Color_LavenderBlush4      (0.545098,0.513725,0.52549);
static const sg_RGBA sg_Color_MistyRose1          (1,0.894118,0.882353);
static const sg_RGBA sg_Color_MistyRose2          (0.933333,0.835294,0.823529);
static const sg_RGBA sg_Color_MistyRose3          (0.803922,0.717647,0.709804);
static const sg_RGBA sg_Color_MistyRose4          (0.545098,0.490196,0.482353);
static const sg_RGBA sg_Color_Azure1              (0.941176,1,1);
static const sg_RGBA sg_Color_Azure2              (0.878431,0.933333,0.933333);
static const sg_RGBA sg_Color_Azure3              (0.756863,0.803922,0.803922);
static const sg_RGBA sg_Color_Azure4              (0.513725,0.545098,0.545098);
static const sg_RGBA sg_Color_SlateBlue1          (0.513725,0.435294,1);
static const sg_RGBA sg_Color_SlateBlue2          (0.478431,0.403922,0.933333);
static const sg_RGBA sg_Color_SlateBlue3          (0.411765,0.34902,0.803922);
static const sg_RGBA sg_Color_SlateBlue4          (0.278431,0.235294,0.545098);
static const sg_RGBA sg_Color_RoyalBlue1          (0.282353,0.462745,1);
static const sg_RGBA sg_Color_RoyalBlue2          (0.262745,0.431373,0.933333);
static const sg_RGBA sg_Color_RoyalBlue3          (0.227451,0.372549,0.803922);
static const sg_RGBA sg_Color_RoyalBlue4          (0.152941,0.25098,0.545098);
static const sg_RGBA sg_Color_Blue1               (0,0,1);
static const sg_RGBA sg_Color_Blue2               (0,0,0.933333);
static const sg_RGBA sg_Color_Blue3               (0,0,0.803922);
static const sg_RGBA sg_Color_Blue4               (0,0,0.545098);
static const sg_RGBA sg_Color_DodgerBlue1         (0.117647,0.564706,1);
static const sg_RGBA sg_Color_DodgerBlue2         (0.109804,0.52549,0.933333);
static const sg_RGBA sg_Color_DodgerBlue3         (0.0941176,0.454902,0.803922);
static const sg_RGBA sg_Color_DodgerBlue4         (0.0627451,0.305882,0.545098);
static const sg_RGBA sg_Color_SteelBlue1          (0.388235,0.721569,1);
static const sg_RGBA sg_Color_SteelBlue2          (0.360784,0.67451,0.933333);
static const sg_RGBA sg_Color_SteelBlue3          (0.309804,0.580392,0.803922);
static const sg_RGBA sg_Color_SteelBlue4          (0.211765,0.392157,0.545098);
static const sg_RGBA sg_Color_DeepSkyBlue1        (0,0.74902,1);
static const sg_RGBA sg_Color_DeepSkyBlue2        (0,0.698039,0.933333);
static const sg_RGBA sg_Color_DeepSkyBlue3        (0,0.603922,0.803922);
static const sg_RGBA sg_Color_DeepSkyBlue4        (0,0.407843,0.545098);
static const sg_RGBA sg_Color_SkyBlue1            (0.529412,0.807843,1);
static const sg_RGBA sg_Color_SkyBlue2            (0.494118,0.752941,0.933333);
static const sg_RGBA sg_Color_SkyBlue3            (0.423529,0.65098,0.803922);
static const sg_RGBA sg_Color_SkyBlue4            (0.290196,0.439216,0.545098);
static const sg_RGBA sg_Color_LightSkyBlue1       (0.690196,0.886275,1);
static const sg_RGBA sg_Color_LightSkyBlue2       (0.643137,0.827451,0.933333);
static const sg_RGBA sg_Color_LightSkyBlue3       (0.552941,0.713725,0.803922);
static const sg_RGBA sg_Color_LightSkyBlue4       (0.376471,0.482353,0.545098);
static const sg_RGBA sg_Color_SlateGray1          (0.776471,0.886275,1);
static const sg_RGBA sg_Color_SlateGray2          (0.72549,0.827451,0.933333);
static const sg_RGBA sg_Color_SlateGray3          (0.623529,0.713725,0.803922);
static const sg_RGBA sg_Color_SlateGray4          (0.423529,0.482353,0.545098);
static const sg_RGBA sg_Color_LightSteelBlue1     (0.792157,0.882353,1);
static const sg_RGBA sg_Color_LightSteelBlue2     (0.737255,0.823529,0.933333);
static const sg_RGBA sg_Color_LightSteelBlue3     (0.635294,0.709804,0.803922);
static const sg_RGBA sg_Color_LightSteelBlue4     (0.431373,0.482353,0.545098);
static const sg_RGBA sg_Color_LightBlue1          (0.74902,0.937255,1);
static const sg_RGBA sg_Color_LightBlue2          (0.698039,0.87451,0.933333);
static const sg_RGBA sg_Color_LightBlue3          (0.603922,0.752941,0.803922);
static const sg_RGBA sg_Color_LightBlue4          (0.407843,0.513725,0.545098);
static const sg_RGBA sg_Color_LightCyan1          (0.878431,1,1);
static const sg_RGBA sg_Color_LightCyan2          (0.819608,0.933333,0.933333);
static const sg_RGBA sg_Color_LightCyan3          (0.705882,0.803922,0.803922);
static const sg_RGBA sg_Color_LightCyan4          (0.478431,0.545098,0.545098);
static const sg_RGBA sg_Color_PaleTurquoise1      (0.733333,1,1);
static const sg_RGBA sg_Color_PaleTurquoise2      (0.682353,0.933333,0.933333);
static const sg_RGBA sg_Color_PaleTurquoise3      (0.588235,0.803922,0.803922);
static const sg_RGBA sg_Color_PaleTurquoise4      (0.4,0.545098,0.545098);
static const sg_RGBA sg_Color_CadetBlue1          (0.596078,0.960784,1);
static const sg_RGBA sg_Color_CadetBlue2          (0.556863,0.898039,0.933333);
static const sg_RGBA sg_Color_CadetBlue3          (0.478431,0.772549,0.803922);
static const sg_RGBA sg_Color_CadetBlue4          (0.32549,0.52549,0.545098);
static const sg_RGBA sg_Color_Turquoise1          (0,0.960784,1);
static const sg_RGBA sg_Color_Turquoise2          (0,0.898039,0.933333);
static const sg_RGBA sg_Color_Turquoise3          (0,0.772549,0.803922);
static const sg_RGBA sg_Color_Turquoise4          (0,0.52549,0.545098);
static const sg_RGBA sg_Color_Cyan1               (0,1,1);
static const sg_RGBA sg_Color_Cyan2               (0,0.933333,0.933333);
static const sg_RGBA sg_Color_Cyan3               (0,0.803922,0.803922);
static const sg_RGBA sg_Color_Cyan4               (0,0.545098,0.545098);
static const sg_RGBA sg_Color_DarkSlateGray1      (0.592157,1,1);
static const sg_RGBA sg_Color_DarkSlateGray2      (0.552941,0.933333,0.933333);
static const sg_RGBA sg_Color_DarkSlateGray3      (0.47451,0.803922,0.803922);
static const sg_RGBA sg_Color_DarkSlateGray4      (0.321569,0.545098,0.545098);
static const sg_RGBA sg_Color_Aquamarine1         (0.498039,1,0.831373);
static const sg_RGBA sg_Color_Aquamarine2         (0.462745,0.933333,0.776471);
static const sg_RGBA sg_Color_Aquamarine3         (0.4,0.803922,0.666667);
static const sg_RGBA sg_Color_Aquamarine4         (0.270588,0.545098,0.454902);
static const sg_RGBA sg_Color_DarkSeaGreen1       (0.756863,1,0.756863);
static const sg_RGBA sg_Color_DarkSeaGreen2       (0.705882,0.933333,0.705882);
static const sg_RGBA sg_Color_DarkSeaGreen3       (0.607843,0.803922,0.607843);
static const sg_RGBA sg_Color_DarkSeaGreen4       (0.411765,0.545098,0.411765);
static const sg_RGBA sg_Color_SeaGreen1           (0.329412,1,0.623529);
static const sg_RGBA sg_Color_SeaGreen2           (0.305882,0.933333,0.580392);
static const sg_RGBA sg_Color_SeaGreen3           (0.262745,0.803922,0.501961);
static const sg_RGBA sg_Color_SeaGreen4           (0.180392,0.545098,0.341176);
static const sg_RGBA sg_Color_PaleGreen1          (0.603922,1,0.603922);
static const sg_RGBA sg_Color_PaleGreen2          (0.564706,0.933333,0.564706);
static const sg_RGBA sg_Color_PaleGreen3          (0.486275,0.803922,0.486275);
static const sg_RGBA sg_Color_PaleGreen4          (0.329412,0.545098,0.329412);
static const sg_RGBA sg_Color_SpringGreen1        (0,1,0.498039);
static const sg_RGBA sg_Color_SpringGreen2        (0,0.933333,0.462745);
static const sg_RGBA sg_Color_SpringGreen3        (0,0.803922,0.4);
static const sg_RGBA sg_Color_SpringGreen4        (0,0.545098,0.270588);
static const sg_RGBA sg_Color_Green1              (0,1,0);
static const sg_RGBA sg_Color_Green2              (0,0.933333,0);
static const sg_RGBA sg_Color_Green3              (0,0.803922,0);
static const sg_RGBA sg_Color_Green4              (0,0.545098,0);
static const sg_RGBA sg_Color_Chartreuse1         (0.498039,1,0);
static const sg_RGBA sg_Color_Chartreuse2         (0.462745,0.933333,0);
static const sg_RGBA sg_Color_Chartreuse3         (0.4,0.803922,0);
static const sg_RGBA sg_Color_Chartreuse4         (0.270588,0.545098,0);
static const sg_RGBA sg_Color_OliveDrab1          (0.752941,1,0.243137);
static const sg_RGBA sg_Color_OliveDrab2          (0.701961,0.933333,0.227451);
static const sg_RGBA sg_Color_OliveDrab3          (0.603922,0.803922,0.196078);
static const sg_RGBA sg_Color_OliveDrab4          (0.411765,0.545098,0.133333);
static const sg_RGBA sg_Color_DarkOliveGreen1     (0.792157,1,0.439216);
static const sg_RGBA sg_Color_DarkOliveGreen2     (0.737255,0.933333,0.407843);
static const sg_RGBA sg_Color_DarkOliveGreen3     (0.635294,0.803922,0.352941);
static const sg_RGBA sg_Color_DarkOliveGreen4     (0.431373,0.545098,0.239216);
static const sg_RGBA sg_Color_Khaki1              (1,0.964706,0.560784);
static const sg_RGBA sg_Color_Khaki2              (0.933333,0.901961,0.521569);
static const sg_RGBA sg_Color_Khaki3              (0.803922,0.776471,0.45098);
static const sg_RGBA sg_Color_Khaki4              (0.545098,0.52549,0.305882);
static const sg_RGBA sg_Color_LightGoldenrod1     (1,0.92549,0.545098);
static const sg_RGBA sg_Color_LightGoldenrod2     (0.933333,0.862745,0.509804);
static const sg_RGBA sg_Color_LightGoldenrod3     (0.803922,0.745098,0.439216);
static const sg_RGBA sg_Color_LightGoldenrod4     (0.545098,0.505882,0.298039);
static const sg_RGBA sg_Color_LightYellow1        (1,1,0.878431);
static const sg_RGBA sg_Color_LightYellow2        (0.933333,0.933333,0.819608);
static const sg_RGBA sg_Color_LightYellow3        (0.803922,0.803922,0.705882);
static const sg_RGBA sg_Color_LightYellow4        (0.545098,0.545098,0.478431);
static const sg_RGBA sg_Color_Yellow1             (1,1,0);
static const sg_RGBA sg_Color_Yellow2             (0.933333,0.933333,0);
static const sg_RGBA sg_Color_Yellow3             (0.803922,0.803922,0);
static const sg_RGBA sg_Color_Yellow4             (0.545098,0.545098,0);
static const sg_RGBA sg_Color_Gold1               (1,0.843137,0);
static const sg_RGBA sg_Color_Gold2               (0.933333,0.788235,0);
static const sg_RGBA sg_Color_Gold3               (0.803922,0.678431,0);
static const sg_RGBA sg_Color_Gold4               (0.545098,0.458824,0);
static const sg_RGBA sg_Color_Goldenrod1          (1,0.756863,0.145098);
static const sg_RGBA sg_Color_Goldenrod2          (0.933333,0.705882,0.133333);
static const sg_RGBA sg_Color_Goldenrod3          (0.803922,0.607843,0.113725);
static const sg_RGBA sg_Color_Goldenrod4          (0.545098,0.411765,0.0784314);
static const sg_RGBA sg_Color_DarkGoldenrod1      (1,0.72549,0.0588235);
static const sg_RGBA sg_Color_DarkGoldenrod2      (0.933333,0.678431,0.054902);
static const sg_RGBA sg_Color_DarkGoldenrod3      (0.803922,0.584314,0.0470588);
static const sg_RGBA sg_Color_DarkGoldenrod4      (0.545098,0.396078,0.0313725);
static const sg_RGBA sg_Color_RosyBrown1          (1,0.756863,0.756863);
static const sg_RGBA sg_Color_RosyBrown2          (0.933333,0.705882,0.705882);
static const sg_RGBA sg_Color_RosyBrown3          (0.803922,0.607843,0.607843);
static const sg_RGBA sg_Color_RosyBrown4          (0.545098,0.411765,0.411765);
static const sg_RGBA sg_Color_IndianRed1          (1,0.415686,0.415686);
static const sg_RGBA sg_Color_IndianRed2          (0.933333,0.388235,0.388235);
static const sg_RGBA sg_Color_IndianRed3          (0.803922,0.333333,0.333333);
static const sg_RGBA sg_Color_IndianRed4          (0.545098,0.227451,0.227451);
static const sg_RGBA sg_Color_Sienna1             (1,0.509804,0.278431);
static const sg_RGBA sg_Color_Sienna2             (0.933333,0.47451,0.258824);
static const sg_RGBA sg_Color_Sienna3             (0.803922,0.407843,0.223529);
static const sg_RGBA sg_Color_Sienna4             (0.545098,0.278431,0.14902);
static const sg_RGBA sg_Color_Burlywood1          (1,0.827451,0.607843);
static const sg_RGBA sg_Color_Burlywood2          (0.933333,0.772549,0.568627);
static const sg_RGBA sg_Color_Burlywood3          (0.803922,0.666667,0.490196);
static const sg_RGBA sg_Color_Burlywood4          (0.545098,0.45098,0.333333);
static const sg_RGBA sg_Color_Wheat1              (1,0.905882,0.729412);
static const sg_RGBA sg_Color_Wheat2              (0.933333,0.847059,0.682353);
static const sg_RGBA sg_Color_Wheat3              (0.803922,0.729412,0.588235);
static const sg_RGBA sg_Color_Wheat4              (0.545098,0.494118,0.4);
static const sg_RGBA sg_Color_Tan1                (1,0.647059,0.309804);
static const sg_RGBA sg_Color_Tan2                (0.933333,0.603922,0.286275);
static const sg_RGBA sg_Color_Tan3                (0.803922,0.521569,0.247059);
static const sg_RGBA sg_Color_Tan4                (0.545098,0.352941,0.168627);
static const sg_RGBA sg_Color_Chocolate1          (1,0.498039,0.141176);
static const sg_RGBA sg_Color_Chocolate2          (0.933333,0.462745,0.129412);
static const sg_RGBA sg_Color_Chocolate3          (0.803922,0.4,0.113725);
static const sg_RGBA sg_Color_Chocolate4          (0.545098,0.270588,0.0745098);
static const sg_RGBA sg_Color_Firebrick1          (1,0.188235,0.188235);
static const sg_RGBA sg_Color_Firebrick2          (0.933333,0.172549,0.172549);
static const sg_RGBA sg_Color_Firebrick3          (0.803922,0.14902,0.14902);
static const sg_RGBA sg_Color_Firebrick4          (0.545098,0.101961,0.101961);
static const sg_RGBA sg_Color_Brown1              (1,0.25098,0.25098);
static const sg_RGBA sg_Color_Brown2              (0.933333,0.231373,0.231373);
static const sg_RGBA sg_Color_Brown3              (0.803922,0.2,0.2);
static const sg_RGBA sg_Color_Brown4              (0.545098,0.137255,0.137255);
static const sg_RGBA sg_Color_Salmon1             (1,0.54902,0.411765);
static const sg_RGBA sg_Color_Salmon2             (0.933333,0.509804,0.384314);
static const sg_RGBA sg_Color_Salmon3             (0.803922,0.439216,0.329412);
static const sg_RGBA sg_Color_Salmon4             (0.545098,0.298039,0.223529);
static const sg_RGBA sg_Color_LightSalmon1        (1,0.627451,0.478431);
static const sg_RGBA sg_Color_LightSalmon2        (0.933333,0.584314,0.447059);
static const sg_RGBA sg_Color_LightSalmon3        (0.803922,0.505882,0.384314);
static const sg_RGBA sg_Color_LightSalmon4        (0.545098,0.341176,0.258824);
static const sg_RGBA sg_Color_Orange1             (1,0.647059,0);
static const sg_RGBA sg_Color_Orange2             (0.933333,0.603922,0);
static const sg_RGBA sg_Color_Orange3             (0.803922,0.521569,0);
static const sg_RGBA sg_Color_Orange4             (0.545098,0.352941,0);
static const sg_RGBA sg_Color_DarkOrange1         (1,0.498039,0);
static const sg_RGBA sg_Color_DarkOrange2         (0.933333,0.462745,0);
static const sg_RGBA sg_Color_DarkOrange3         (0.803922,0.4,0);
static const sg_RGBA sg_Color_DarkOrange4         (0.545098,0.270588,0);
static const sg_RGBA sg_Color_Coral1              (1,0.447059,0.337255);
static const sg_RGBA sg_Color_Coral2              (0.933333,0.415686,0.313725);
static const sg_RGBA sg_Color_Coral3              (0.803922,0.356863,0.270588);
static const sg_RGBA sg_Color_Coral4              (0.545098,0.243137,0.184314);
static const sg_RGBA sg_Color_Tomato1             (1,0.388235,0.278431);
static const sg_RGBA sg_Color_Tomato2             (0.933333,0.360784,0.258824);
static const sg_RGBA sg_Color_Tomato3             (0.803922,0.309804,0.223529);
static const sg_RGBA sg_Color_Tomato4             (0.545098,0.211765,0.14902);
static const sg_RGBA sg_Color_OrangeRed1          (1,0.270588,0);
static const sg_RGBA sg_Color_OrangeRed2          (0.933333,0.25098,0);
static const sg_RGBA sg_Color_OrangeRed3          (0.803922,0.215686,0);
static const sg_RGBA sg_Color_OrangeRed4          (0.545098,0.145098,0);
static const sg_RGBA sg_Color_Red1                (1,0,0);
static const sg_RGBA sg_Color_Red2                (0.933333,0,0);
static const sg_RGBA sg_Color_Red3                (0.803922,0,0);
static const sg_RGBA sg_Color_Red4                (0.545098,0,0);
static const sg_RGBA sg_Color_DeepPink1           (1,0.0784314,0.576471);
static const sg_RGBA sg_Color_DeepPink2           (0.933333,0.0705882,0.537255);
static const sg_RGBA sg_Color_DeepPink3           (0.803922,0.0627451,0.462745);
static const sg_RGBA sg_Color_DeepPink4           (0.545098,0.0392157,0.313725);
static const sg_RGBA sg_Color_HotPink1            (1,0.431373,0.705882);
static const sg_RGBA sg_Color_HotPink2            (0.933333,0.415686,0.654902);
static const sg_RGBA sg_Color_HotPink3            (0.803922,0.376471,0.564706);
static const sg_RGBA sg_Color_HotPink4            (0.545098,0.227451,0.384314);
static const sg_RGBA sg_Color_Pink1               (1,0.709804,0.772549);
static const sg_RGBA sg_Color_Pink2               (0.933333,0.662745,0.721569);
static const sg_RGBA sg_Color_Pink3               (0.803922,0.568627,0.619608);
static const sg_RGBA sg_Color_Pink4               (0.545098,0.388235,0.423529);
static const sg_RGBA sg_Color_LightPink1          (1,0.682353,0.72549);
static const sg_RGBA sg_Color_LightPink2          (0.933333,0.635294,0.678431);
static const sg_RGBA sg_Color_LightPink3          (0.803922,0.54902,0.584314);
static const sg_RGBA sg_Color_LightPink4          (0.545098,0.372549,0.396078);
static const sg_RGBA sg_Color_PaleVioletRed1      (1,0.509804,0.670588);
static const sg_RGBA sg_Color_PaleVioletRed2      (0.933333,0.47451,0.623529);
static const sg_RGBA sg_Color_PaleVioletRed3      (0.803922,0.407843,0.537255);
static const sg_RGBA sg_Color_PaleVioletRed4      (0.545098,0.278431,0.364706);
static const sg_RGBA sg_Color_Maroon1             (1,0.203922,0.701961);
static const sg_RGBA sg_Color_Maroon2             (0.933333,0.188235,0.654902);
static const sg_RGBA sg_Color_Maroon3             (0.803922,0.160784,0.564706);
static const sg_RGBA sg_Color_Maroon4             (0.545098,0.109804,0.384314);
static const sg_RGBA sg_Color_VioletRed1          (1,0.243137,0.588235);
static const sg_RGBA sg_Color_VioletRed2          (0.933333,0.227451,0.54902);
static const sg_RGBA sg_Color_VioletRed3          (0.803922,0.196078,0.470588);
static const sg_RGBA sg_Color_VioletRed4          (0.545098,0.133333,0.321569);
static const sg_RGBA sg_Color_Magenta1            (1,0,1);
static const sg_RGBA sg_Color_Magenta2            (0.933333,0,0.933333);
static const sg_RGBA sg_Color_Magenta3            (0.803922,0,0.803922);
static const sg_RGBA sg_Color_Magenta4            (0.545098,0,0.545098);
static const sg_RGBA sg_Color_Orchid1             (1,0.513725,0.980392);
static const sg_RGBA sg_Color_Orchid2             (0.933333,0.478431,0.913725);
static const sg_RGBA sg_Color_Orchid3             (0.803922,0.411765,0.788235);
static const sg_RGBA sg_Color_Orchid4             (0.545098,0.278431,0.537255);
static const sg_RGBA sg_Color_Plum1               (1,0.733333,1);
static const sg_RGBA sg_Color_Plum2               (0.933333,0.682353,0.933333);
static const sg_RGBA sg_Color_Plum3               (0.803922,0.588235,0.803922);
static const sg_RGBA sg_Color_Plum4               (0.545098,0.4,0.545098);
static const sg_RGBA sg_Color_MediumOrchid1       (0.878431,0.4,1);
static const sg_RGBA sg_Color_MediumOrchid2       (0.819608,0.372549,0.933333);
static const sg_RGBA sg_Color_MediumOrchid3       (0.705882,0.321569,0.803922);
static const sg_RGBA sg_Color_MediumOrchid4       (0.478431,0.215686,0.545098);
static const sg_RGBA sg_Color_DarkOrchid1         (0.74902,0.243137,1);
static const sg_RGBA sg_Color_DarkOrchid2         (0.698039,0.227451,0.933333);
static const sg_RGBA sg_Color_DarkOrchid3         (0.603922,0.196078,0.803922);
static const sg_RGBA sg_Color_DarkOrchid4         (0.407843,0.133333,0.545098);
static const sg_RGBA sg_Color_Purple1             (0.607843,0.188235,1);
static const sg_RGBA sg_Color_Purple2             (0.568627,0.172549,0.933333);
static const sg_RGBA sg_Color_Purple3             (0.490196,0.14902,0.803922);
static const sg_RGBA sg_Color_Purple4             (0.333333,0.101961,0.545098);
static const sg_RGBA sg_Color_MediumPurple1       (0.670588,0.509804,1);
static const sg_RGBA sg_Color_MediumPurple2       (0.623529,0.47451,0.933333);
static const sg_RGBA sg_Color_MediumPurple3       (0.537255,0.407843,0.803922);
static const sg_RGBA sg_Color_MediumPurple4       (0.364706,0.278431,0.545098);
static const sg_RGBA sg_Color_Thistle1            (1,0.882353,1);
static const sg_RGBA sg_Color_Thistle2            (0.933333,0.823529,0.933333);
static const sg_RGBA sg_Color_Thistle3            (0.803922,0.709804,0.803922);
static const sg_RGBA sg_Color_Thistle4            (0.545098,0.482353,0.545098);
static const sg_RGBA sg_Color_Gray0               (0,0,0);
static const sg_RGBA sg_Color_Grey0               (0,0,0);
static const sg_RGBA sg_Color_Gray1               (0.0117647,0.0117647,0.0117647);
static const sg_RGBA sg_Color_Grey1               (0.0117647,0.0117647,0.0117647);
static const sg_RGBA sg_Color_Gray2               (0.0196078,0.0196078,0.0196078);
static const sg_RGBA sg_Color_Grey2               (0.0196078,0.0196078,0.0196078);
static const sg_RGBA sg_Color_Gray3               (0.0313725,0.0313725,0.0313725);
static const sg_RGBA sg_Color_Grey3               (0.0313725,0.0313725,0.0313725);
static const sg_RGBA sg_Color_Gray4               (0.0392157,0.0392157,0.0392157);
static const sg_RGBA sg_Color_Grey4               (0.0392157,0.0392157,0.0392157);
static const sg_RGBA sg_Color_Gray5               (0.0509804,0.0509804,0.0509804);
static const sg_RGBA sg_Color_Grey5               (0.0509804,0.0509804,0.0509804);
static const sg_RGBA sg_Color_Gray6               (0.0588235,0.0588235,0.0588235);
static const sg_RGBA sg_Color_Grey6               (0.0588235,0.0588235,0.0588235);
static const sg_RGBA sg_Color_Gray7               (0.0705882,0.0705882,0.0705882);
static const sg_RGBA sg_Color_Grey7               (0.0705882,0.0705882,0.0705882);
static const sg_RGBA sg_Color_Gray8               (0.0784314,0.0784314,0.0784314);
static const sg_RGBA sg_Color_Grey8               (0.0784314,0.0784314,0.0784314);
static const sg_RGBA sg_Color_Gray9               (0.0901961,0.0901961,0.0901961);
static const sg_RGBA sg_Color_Grey9               (0.0901961,0.0901961,0.0901961);
static const sg_RGBA sg_Color_Gray10              (0.101961,0.101961,0.101961);
static const sg_RGBA sg_Color_Grey10              (0.101961,0.101961,0.101961);
static const sg_RGBA sg_Color_Gray11              (0.109804,0.109804,0.109804);
static const sg_RGBA sg_Color_Grey11              (0.109804,0.109804,0.109804);
static const sg_RGBA sg_Color_Gray12              (0.121569,0.121569,0.121569);
static const sg_RGBA sg_Color_Grey12              (0.121569,0.121569,0.121569);
static const sg_RGBA sg_Color_Gray13              (0.129412,0.129412,0.129412);
static const sg_RGBA sg_Color_Grey13              (0.129412,0.129412,0.129412);
static const sg_RGBA sg_Color_Gray14              (0.141176,0.141176,0.141176);
static const sg_RGBA sg_Color_Grey14              (0.141176,0.141176,0.141176);
static const sg_RGBA sg_Color_Gray15              (0.14902,0.14902,0.14902);
static const sg_RGBA sg_Color_Grey15              (0.14902,0.14902,0.14902);
static const sg_RGBA sg_Color_Gray16              (0.160784,0.160784,0.160784);
static const sg_RGBA sg_Color_Grey16              (0.160784,0.160784,0.160784);
static const sg_RGBA sg_Color_Gray17              (0.168627,0.168627,0.168627);
static const sg_RGBA sg_Color_Grey17              (0.168627,0.168627,0.168627);
static const sg_RGBA sg_Color_Gray18              (0.180392,0.180392,0.180392);
static const sg_RGBA sg_Color_Grey18              (0.180392,0.180392,0.180392);
static const sg_RGBA sg_Color_Gray19              (0.188235,0.188235,0.188235);
static const sg_RGBA sg_Color_Grey19              (0.188235,0.188235,0.188235);
static const sg_RGBA sg_Color_Gray20              (0.2,0.2,0.2);
static const sg_RGBA sg_Color_Grey20              (0.2,0.2,0.2);
static const sg_RGBA sg_Color_Gray21              (0.211765,0.211765,0.211765);
static const sg_RGBA sg_Color_Grey21              (0.211765,0.211765,0.211765);
static const sg_RGBA sg_Color_Gray22              (0.219608,0.219608,0.219608);
static const sg_RGBA sg_Color_Grey22              (0.219608,0.219608,0.219608);
static const sg_RGBA sg_Color_Gray23              (0.231373,0.231373,0.231373);
static const sg_RGBA sg_Color_Grey23              (0.231373,0.231373,0.231373);
static const sg_RGBA sg_Color_Gray24              (0.239216,0.239216,0.239216);
static const sg_RGBA sg_Color_Grey24              (0.239216,0.239216,0.239216);
static const sg_RGBA sg_Color_Gray25              (0.25098,0.25098,0.25098);
static const sg_RGBA sg_Color_Grey25              (0.25098,0.25098,0.25098);
static const sg_RGBA sg_Color_Gray26              (0.258824,0.258824,0.258824);
static const sg_RGBA sg_Color_Grey26              (0.258824,0.258824,0.258824);
static const sg_RGBA sg_Color_Gray27              (0.270588,0.270588,0.270588);
static const sg_RGBA sg_Color_Grey27              (0.270588,0.270588,0.270588);
static const sg_RGBA sg_Color_Gray28              (0.278431,0.278431,0.278431);
static const sg_RGBA sg_Color_Grey28              (0.278431,0.278431,0.278431);
static const sg_RGBA sg_Color_Gray29              (0.290196,0.290196,0.290196);
static const sg_RGBA sg_Color_Grey29              (0.290196,0.290196,0.290196);
static const sg_RGBA sg_Color_Gray30              (0.301961,0.301961,0.301961);
static const sg_RGBA sg_Color_Grey30              (0.301961,0.301961,0.301961);
static const sg_RGBA sg_Color_Gray31              (0.309804,0.309804,0.309804);
static const sg_RGBA sg_Color_Grey31              (0.309804,0.309804,0.309804);
static const sg_RGBA sg_Color_Gray32              (0.321569,0.321569,0.321569);
static const sg_RGBA sg_Color_Grey32              (0.321569,0.321569,0.321569);
static const sg_RGBA sg_Color_Gray33              (0.329412,0.329412,0.329412);
static const sg_RGBA sg_Color_Grey33              (0.329412,0.329412,0.329412);
static const sg_RGBA sg_Color_Gray34              (0.341176,0.341176,0.341176);
static const sg_RGBA sg_Color_Grey34              (0.341176,0.341176,0.341176);
static const sg_RGBA sg_Color_Gray35              (0.34902,0.34902,0.34902);
static const sg_RGBA sg_Color_Grey35              (0.34902,0.34902,0.34902);
static const sg_RGBA sg_Color_Gray36              (0.360784,0.360784,0.360784);
static const sg_RGBA sg_Color_Grey36              (0.360784,0.360784,0.360784);
static const sg_RGBA sg_Color_Gray37              (0.368627,0.368627,0.368627);
static const sg_RGBA sg_Color_Grey37              (0.368627,0.368627,0.368627);
static const sg_RGBA sg_Color_Gray38              (0.380392,0.380392,0.380392);
static const sg_RGBA sg_Color_Grey38              (0.380392,0.380392,0.380392);
static const sg_RGBA sg_Color_Gray39              (0.388235,0.388235,0.388235);
static const sg_RGBA sg_Color_Grey39              (0.388235,0.388235,0.388235);
static const sg_RGBA sg_Color_Gray40              (0.4,0.4,0.4);
static const sg_RGBA sg_Color_Grey40              (0.4,0.4,0.4);
static const sg_RGBA sg_Color_Gray41              (0.411765,0.411765,0.411765);
static const sg_RGBA sg_Color_Grey41              (0.411765,0.411765,0.411765);
static const sg_RGBA sg_Color_Gray42              (0.419608,0.419608,0.419608);
static const sg_RGBA sg_Color_Grey42              (0.419608,0.419608,0.419608);
static const sg_RGBA sg_Color_Gray43              (0.431373,0.431373,0.431373);
static const sg_RGBA sg_Color_Grey43              (0.431373,0.431373,0.431373);
static const sg_RGBA sg_Color_Gray44              (0.439216,0.439216,0.439216);
static const sg_RGBA sg_Color_Grey44              (0.439216,0.439216,0.439216);
static const sg_RGBA sg_Color_Gray45              (0.45098,0.45098,0.45098);
static const sg_RGBA sg_Color_Grey45              (0.45098,0.45098,0.45098);
static const sg_RGBA sg_Color_Gray46              (0.458824,0.458824,0.458824);
static const sg_RGBA sg_Color_Grey46              (0.458824,0.458824,0.458824);
static const sg_RGBA sg_Color_Gray47              (0.470588,0.470588,0.470588);
static const sg_RGBA sg_Color_Grey47              (0.470588,0.470588,0.470588);
static const sg_RGBA sg_Color_Gray48              (0.478431,0.478431,0.478431);
static const sg_RGBA sg_Color_Grey48              (0.478431,0.478431,0.478431);
static const sg_RGBA sg_Color_Gray49              (0.490196,0.490196,0.490196);
static const sg_RGBA sg_Color_Grey49              (0.490196,0.490196,0.490196);
static const sg_RGBA sg_Color_Gray50              (0.498039,0.498039,0.498039);
static const sg_RGBA sg_Color_Grey50              (0.498039,0.498039,0.498039);
static const sg_RGBA sg_Color_Gray51              (0.509804,0.509804,0.509804);
static const sg_RGBA sg_Color_Grey51              (0.509804,0.509804,0.509804);
static const sg_RGBA sg_Color_Gray52              (0.521569,0.521569,0.521569);
static const sg_RGBA sg_Color_Grey52              (0.521569,0.521569,0.521569);
static const sg_RGBA sg_Color_Gray53              (0.529412,0.529412,0.529412);
static const sg_RGBA sg_Color_Grey53              (0.529412,0.529412,0.529412);
static const sg_RGBA sg_Color_Gray54              (0.541176,0.541176,0.541176);
static const sg_RGBA sg_Color_Grey54              (0.541176,0.541176,0.541176);
static const sg_RGBA sg_Color_Gray55              (0.54902,0.54902,0.54902);
static const sg_RGBA sg_Color_Grey55              (0.54902,0.54902,0.54902);
static const sg_RGBA sg_Color_Gray56              (0.560784,0.560784,0.560784);
static const sg_RGBA sg_Color_Grey56              (0.560784,0.560784,0.560784);
static const sg_RGBA sg_Color_Gray57              (0.568627,0.568627,0.568627);
static const sg_RGBA sg_Color_Grey57              (0.568627,0.568627,0.568627);
static const sg_RGBA sg_Color_Gray58              (0.580392,0.580392,0.580392);
static const sg_RGBA sg_Color_Grey58              (0.580392,0.580392,0.580392);
static const sg_RGBA sg_Color_Gray59              (0.588235,0.588235,0.588235);
static const sg_RGBA sg_Color_Grey59              (0.588235,0.588235,0.588235);
static const sg_RGBA sg_Color_Gray60              (0.6,0.6,0.6);
static const sg_RGBA sg_Color_Grey60              (0.6,0.6,0.6);
static const sg_RGBA sg_Color_Gray61              (0.611765,0.611765,0.611765);
static const sg_RGBA sg_Color_Grey61              (0.611765,0.611765,0.611765);
static const sg_RGBA sg_Color_Gray62              (0.619608,0.619608,0.619608);
static const sg_RGBA sg_Color_Grey62              (0.619608,0.619608,0.619608);
static const sg_RGBA sg_Color_Gray63              (0.631373,0.631373,0.631373);
static const sg_RGBA sg_Color_Grey63              (0.631373,0.631373,0.631373);
static const sg_RGBA sg_Color_Gray64              (0.639216,0.639216,0.639216);
static const sg_RGBA sg_Color_Grey64              (0.639216,0.639216,0.639216);
static const sg_RGBA sg_Color_Gray65              (0.65098,0.65098,0.65098);
static const sg_RGBA sg_Color_Grey65              (0.65098,0.65098,0.65098);
static const sg_RGBA sg_Color_Gray66              (0.658824,0.658824,0.658824);
static const sg_RGBA sg_Color_Grey66              (0.658824,0.658824,0.658824);
static const sg_RGBA sg_Color_Gray67              (0.670588,0.670588,0.670588);
static const sg_RGBA sg_Color_Grey67              (0.670588,0.670588,0.670588);
static const sg_RGBA sg_Color_Gray68              (0.678431,0.678431,0.678431);
static const sg_RGBA sg_Color_Grey68              (0.678431,0.678431,0.678431);
static const sg_RGBA sg_Color_Gray69              (0.690196,0.690196,0.690196);
static const sg_RGBA sg_Color_Grey69              (0.690196,0.690196,0.690196);
static const sg_RGBA sg_Color_Gray70              (0.701961,0.701961,0.701961);
static const sg_RGBA sg_Color_Grey70              (0.701961,0.701961,0.701961);
static const sg_RGBA sg_Color_Gray71              (0.709804,0.709804,0.709804);
static const sg_RGBA sg_Color_Grey71              (0.709804,0.709804,0.709804);
static const sg_RGBA sg_Color_Gray72              (0.721569,0.721569,0.721569);
static const sg_RGBA sg_Color_Grey72              (0.721569,0.721569,0.721569);
static const sg_RGBA sg_Color_Gray73              (0.729412,0.729412,0.729412);
static const sg_RGBA sg_Color_Grey73              (0.729412,0.729412,0.729412);
static const sg_RGBA sg_Color_Gray74              (0.741176,0.741176,0.741176);
static const sg_RGBA sg_Color_Grey74              (0.741176,0.741176,0.741176);
static const sg_RGBA sg_Color_Gray75              (0.74902,0.74902,0.74902);
static const sg_RGBA sg_Color_Grey75              (0.74902,0.74902,0.74902);
static const sg_RGBA sg_Color_Gray76              (0.760784,0.760784,0.760784);
static const sg_RGBA sg_Color_Grey76              (0.760784,0.760784,0.760784);
static const sg_RGBA sg_Color_Gray77              (0.768627,0.768627,0.768627);
static const sg_RGBA sg_Color_Grey77              (0.768627,0.768627,0.768627);
static const sg_RGBA sg_Color_Gray78              (0.780392,0.780392,0.780392);
static const sg_RGBA sg_Color_Grey78              (0.780392,0.780392,0.780392);
static const sg_RGBA sg_Color_Gray79              (0.788235,0.788235,0.788235);
static const sg_RGBA sg_Color_Grey79              (0.788235,0.788235,0.788235);
static const sg_RGBA sg_Color_Gray80              (0.8,0.8,0.8);
static const sg_RGBA sg_Color_Grey80              (0.8,0.8,0.8);
static const sg_RGBA sg_Color_Gray81              (0.811765,0.811765,0.811765);
static const sg_RGBA sg_Color_Grey81              (0.811765,0.811765,0.811765);
static const sg_RGBA sg_Color_Gray82              (0.819608,0.819608,0.819608);
static const sg_RGBA sg_Color_Grey82              (0.819608,0.819608,0.819608);
static const sg_RGBA sg_Color_Gray83              (0.831373,0.831373,0.831373);
static const sg_RGBA sg_Color_Grey83              (0.831373,0.831373,0.831373);
static const sg_RGBA sg_Color_Gray84              (0.839216,0.839216,0.839216);
static const sg_RGBA sg_Color_Grey84              (0.839216,0.839216,0.839216);
static const sg_RGBA sg_Color_Gray85              (0.85098,0.85098,0.85098);
static const sg_RGBA sg_Color_Grey85              (0.85098,0.85098,0.85098);
static const sg_RGBA sg_Color_Gray86              (0.858824,0.858824,0.858824);
static const sg_RGBA sg_Color_Grey86              (0.858824,0.858824,0.858824);
static const sg_RGBA sg_Color_Gray87              (0.870588,0.870588,0.870588);
static const sg_RGBA sg_Color_Grey87              (0.870588,0.870588,0.870588);
static const sg_RGBA sg_Color_Gray88              (0.878431,0.878431,0.878431);
static const sg_RGBA sg_Color_Grey88              (0.878431,0.878431,0.878431);
static const sg_RGBA sg_Color_Gray89              (0.890196,0.890196,0.890196);
static const sg_RGBA sg_Color_Grey89              (0.890196,0.890196,0.890196);
static const sg_RGBA sg_Color_Gray90              (0.898039,0.898039,0.898039);
static const sg_RGBA sg_Color_Grey90              (0.898039,0.898039,0.898039);
static const sg_RGBA sg_Color_Gray91              (0.909804,0.909804,0.909804);
static const sg_RGBA sg_Color_Grey91              (0.909804,0.909804,0.909804);
static const sg_RGBA sg_Color_Gray92              (0.921569,0.921569,0.921569);
static const sg_RGBA sg_Color_Grey92              (0.921569,0.921569,0.921569);
static const sg_RGBA sg_Color_Gray93              (0.929412,0.929412,0.929412);
static const sg_RGBA sg_Color_Grey93              (0.929412,0.929412,0.929412);
static const sg_RGBA sg_Color_Gray94              (0.941176,0.941176,0.941176);
static const sg_RGBA sg_Color_Grey94              (0.941176,0.941176,0.941176);
static const sg_RGBA sg_Color_Gray95              (0.94902,0.94902,0.94902);
static const sg_RGBA sg_Color_Grey95              (0.94902,0.94902,0.94902);
static const sg_RGBA sg_Color_Gray96              (0.960784,0.960784,0.960784);
static const sg_RGBA sg_Color_Grey96              (0.960784,0.960784,0.960784);
static const sg_RGBA sg_Color_Gray97              (0.968627,0.968627,0.968627);
static const sg_RGBA sg_Color_Grey97              (0.968627,0.968627,0.968627);
static const sg_RGBA sg_Color_Gray98              (0.980392,0.980392,0.980392);
static const sg_RGBA sg_Color_Grey98              (0.980392,0.980392,0.980392);
static const sg_RGBA sg_Color_Gray99              (0.988235,0.988235,0.988235);
static const sg_RGBA sg_Color_Grey99              (0.988235,0.988235,0.988235);
static const sg_RGBA sg_Color_Gray100             (1,1,1);
static const sg_RGBA sg_Color_Grey100             (1,1,1);
static const sg_RGBA sg_Color_DarkGrey            (0.662745,0.662745,0.662745);
static const sg_RGBA sg_Color_DarkGray            (0.662745,0.662745,0.662745);
static const sg_RGBA sg_Color_DarkBlue            (0,0,0.545098);
static const sg_RGBA sg_Color_DarkCyan            (0,0.545098,0.545098);
static const sg_RGBA sg_Color_DarkMagenta         (0.545098,0,0.545098);
static const sg_RGBA sg_Color_DarkRed             (0.545098,0,0);
static const sg_RGBA sg_Color_LightGreen          (0.564706,0.933333,0.564706);


#endif  // INCLUDED_SG_COLORS_HXX



