// $Id: sg_SceneNodePtr.hxx,v 1.1.1.1 1997/01/08 21:54:13 pjgray Exp $

#ifndef INCLUDED_SG_SCENENODEPTR_HXX
#define INCLUDED_SG_SCENENODEPTR_HXX

#ifdef WIN32
#include <afxwin.h>
#include <afxext.h>
#include <afxtempl.h>
#endif

class sg_SceneNode;

class sg_SceneNodePtr
{

   public:

      sg_SceneNodePtr();
      sg_SceneNodePtr(sg_SceneNodePtr const& right);
      explicit sg_SceneNodePtr(sg_SceneNode* obj);
      ~sg_SceneNodePtr();
      sg_SceneNodePtr const& operator=(sg_SceneNodePtr const& right);
      bool operator==(sg_SceneNodePtr const& right) const;

      void setObject(sg_SceneNode* obj);

      sg_SceneNode* operator->();
      sg_SceneNode& operator*();

      sg_SceneNode const* operator->() const;
      sg_SceneNode const& operator*() const;

	  bool operator<(sg_SceneNodePtr const& rhs) const {return false;}

   private:
      sg_SceneNode* d_actualObject;
};


#endif  // INCLUDED_SG_SCENENODEPTR_HXX
