#include <iostream>

#include "container/sc_Subfield.h"
#include "container/sc_Field.h"


int
main()
{
	sc_Subfield subfield;
	sc_Field field;

	field.push_back(sc_Subfield());
	field.back().setMnemonic("X");
	field.push_back(sc_Subfield());
	field.back().setMnemonic("Y");

	for (sc_Field::iterator i = field.begin();
	     i != field.end(); i++)
			  {
					cout << "Mnemonic: " << i->getMnemonic() << '\n';
					i->setBUI32(42*(i - field.begin()));
			  }

	unsigned long val;
	for (i = field.begin(); i != field.end(); i++)
		{
			if (i->getBUI32(val))
				cout << i->getMnemonic() << ": " << val << '\n';
			else
				cout << "Wrong.";
		}

	return 0;
}