#include <assert.h>
#include <iostream>


#ifdef WIN32
using namespace std;
#endif


// XXX The project include parameters are BEING IGNORED,
// XXX so I had to specify the path by hand here.

#include "../../io/sio_8211SubfieldFormat.h"


int
main( int argc, char** argv )
{
	cout << argv[0] << " starting ... " << endl;

	sio_8211SubfieldFormat sf;

	converter_func bogus_func = reinterpret_cast<converter_func> (0xbad);

	sf.setLabel("FOO");
	sf.setConverter( bogus_func );
	sf.setDelimiter('&');
	sf.setType( sio_8211SubfieldFormat::A );


	assert( sf.getLabel() == "FOO" );
	assert( sf.getConverter() == bogus_func );
	assert( sf.getDelimiter() == '&' );
	assert( sf.getType() == sio_8211SubfieldFormat::A );
	assert( sf.getFormat() == sio_8211SubfieldFormat::variable );


	cout << argv[0] << " done" << endl;


	return 0;
}